import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import { getUser } from "./utils/tool";

Vue.use(ElementUI);

router.beforeEach((to, from, next) => {
  if (to.meta.title) document.title = to.meta.title;
  if (to.path === '/traditional' || to.path === '/advertisement') return next();
  if (!localStorage.user) {
    // apply 必须拿到oa用户数据
    getUser(() => next())
  } else next();
});

new Vue({
  router,
  render: h => h(App),
}).$mount("#app");
